Endpoints · Instruments

Instrument history

Returns the daily series of one instrument, oldest first.

GET/api/v1/instruments/{id}/history

Scope: read

Parameters

Request
curl -G https://yieldsniper.finance/api/v1/instruments/ins_4c29f40abec73e1b/history \
  -H "Authorization: Bearer $YS_API_KEY" \
  -d window=7d
Response200
{
  "object": "instrument_history",
  "instrument_id": "ins_4c29f40abec73e1b",
  "interval": "1d",
  "window": "7d",
  "dates": [
    "2026-10-18",
    "2026-10-19",
    "2026-10-20",
    "2026-10-21",
    "2026-10-22",
    "2026-10-23"
  ],
  "total_apy": [6.67611, 6.67522, 6.68896, 6.69156, 6.69157, 6.72786],
  "native_apy": [6.67611, 6.67522, 6.68896, 6.69156, 6.69157, 6.72786],
  "incentive_apy": [null, null, null, null, null, 0],
  "tvl": [93144186, 93149278, 93194241, 93240435, 92207779, 92211394],
  "safety_score": [null, null, null, null, null, 90],
  "as_of": "2026-10-23T23:45:21.116Z"
}

Returns